.#{$prefix}-c-playground {
  width: calc(100% + 20px);
  margin-bottom: 30px;
  margin-left: -10px;

  &__preview {
    position: relative;
    width: 100%;
    max-width: calc(100% - 10px);
    padding: 20px;
    font-size: 0;
    line-height: 1;

    &--noSelect {
      user-select: none;
    }

    &--theme-dark {
      border: 1px solid rgba($palette--pickled-bluewood, 0.8);
      background-color: $palette--vulcan;
    }

    &--theme-light {
      border: 1px solid rgba($palette--mischka, 0.7);
      background-color: $palette--white;
    }

    iframe {
      width: 100%;
      border: 0;
    }
  }

  &__previewWidthSlider {
    position: absolute;
    top: -1px;
    right: -11px;
    display: flex;
    width: 10px;
    height: calc(100% + 2px);
    align-items: center;
    justify-content: center;
    cursor: ew-resize;

    .#{$prefix}-c-playground__preview--theme-dark & {
      background-color: $palette--vulcan;
    }

    .#{$prefix}-c-playground__preview--theme-light & {
      background-color: $palette--white;
    }

    &::after {
      position: absolute;
      width: 100%;
      height: 100%;
      content: '';

      .#{$prefix}-c-playground__preview--theme-dark & {
        background-color: rgba($palette--pickled-bluewood, 0.8);
      }

      .#{$prefix}-c-playground__preview--theme-light & {
        background-color: rgba($palette--mischka, 0.7);
      }
    }

    &::before {
      position: relative;
      z-index: 1;
      top: 1px;
      width: 2px;
      height: calc(60% + 2px);
      border-radius: 1px;
      content: '';

      .#{$prefix}-c-playground__preview--theme-dark & {
        background-color: $palette--vulcan;
      }

      .#{$prefix}-c-playground__preview--theme-light & {
        background-color: $palette--raven;
      }
    }
  }

  &__previewThemeToggle {
    position: absolute;
    top: 0;
    right: 10px;
    display: flex;
    width: 28px;
    height: 20px;
    align-items: center;
    justify-content: center;
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
    cursor: pointer;

    .#{$prefix}-c-playground__preview--theme-dark & {
      background-color: rgba($palette--pickled-bluewood, 0.8);
    }

    .#{$prefix}-c-playground__preview--theme-light & {
      background-color: rgba($palette--mischka, 0.7);
    }
  }

  &__editor {
    position: relative;
    top: -1px;

    .#{$prefix}-u-theme--dark & {
      border-top: 1px solid rgba($palette--pickled-bluewood, 0.8);
    }

    .#{$prefix}-u-theme--light & {
      border-top: 1px solid rgba($palette--mischka, 0.7);
    }
  }

  &__editorCodeBox {
    padding: 15px 10px !important;
    font-size: 14px;
    font-weight: 600 !important;
    line-height: 1.5 !important;

    .#{$prefix}-u-theme--dark & {
      border: 1px solid rgba($palette--pickled-bluewood, 0.8);
      border-top: 0;
      background-color: $palette--vulcan;
    }

    .#{$prefix}-u-theme--light & {
      border: 1px solid rgba($palette--mischka, 0.7);
      border-top: 0;
      background-color: rgba($palette--mischka, 0.3);
    }

    div {
      &:not([class]) {
        background-color: $palette--transparent !important;
      }
    }

    textarea {
      padding: 10px !important;
      background-color: $palette--transparent !important;
      color: $palette--transparent !important;
      font-size: 14px;

      .#{$prefix}-u-theme--dark & {
        caret-color: $palette--white;
      }

      .#{$prefix}-u-theme--light & {
        caret-color: $palette--black;
      }
    }
  }

  &__editorClipboard {
    position: absolute;
    top: 0;
    right: 53px;
    display: flex;
    width: 28px;
    height: 20px;
    align-items: center;
    justify-content: center;
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
    cursor: pointer;

    .#{$prefix}-u-theme--dark & {
      background-color: rgba($palette--pickled-bluewood, 0.8);
    }

    .#{$prefix}-u-theme--light & {
      background-color: rgba($palette--mischka, 0.7);
    }
  }

  &__editorToggle {
    position: absolute;
    top: 0;
    right: 20px;
    display: flex;
    width: 28px;
    height: 20px;
    align-items: center;
    justify-content: center;
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
    cursor: pointer;

    .#{$prefix}-u-theme--dark & {
      background-color: rgba($palette--pickled-bluewood, 0.8);
    }

    .#{$prefix}-u-theme--light & {
      background-color: rgba($palette--mischka, 0.7);
    }
  }
}
